Index: c/src/lib/libbsp/powerpc/mvme5500/network/GT64260eth.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/network/GT64260eth.c	(revision 4953659b06008470cf46b2e45dccb48b8a343802)
+++ c/src/lib/libbsp/powerpc/mvme5500/network/GT64260eth.c	(revision 46a6fa916594e7c523ff63cf540fa1bd2e22845e)
@@ -127,5 +127,5 @@
 #define	ET_MINLEN 64		/* minimum message length */
 
-static int GTeth_ifioctl(struct ifnet *ifp,unsigned cmd, caddr_t data);
+static int GTeth_ifioctl(struct ifnet *ifp, int cmd, caddr_t data);
 static void GTeth_ifstart (struct ifnet *);
 static void GTeth_ifchange(struct GTeth_softc *sc);
@@ -153,17 +153,4 @@
 static int GTeth_MissedFrame_err=0;  
 
-/* We can hard code the address here if config->hardware_address failed */
-static int GTethGet_macaddr(int macno, char *hwaddr)
-{
-  hwaddr[0] = 0x00;
-  hwaddr[1] = 0x01;
-  hwaddr[2] = 0xaf;
-  hwaddr[3] = 0x0b;
-  hwaddr[4] = 0x75;
-  hwaddr[5] = 0x36;
-
-  return 0;
-}
-
 static void GT64260eth_irq_on(const rtems_irq_connect_data *irq)
 {
@@ -537,9 +524,9 @@
   printf("     Receive Packets:%-8lu\n", ifp->if_ipackets);
   printf("     Receive  errors:%-8lu\n", ifp->if_ierrors);
-  printf(" Missed Frame errors:%-8lu\n", GTeth_MissedFrame_err);
+  printf(" Missed Frame errors:%-8u\n",  GTeth_MissedFrame_err);
   printf("      Framing Errors:%-8lu\n", sc->stats.frame_errors);
   printf("          Crc Errors:%-8lu\n", sc->stats.crc_errors);
   printf("    Oversized Frames:%-8lu\n", sc->stats.length_errors);
-  printf("         Active Rxqs:%-8lu\n", sc->rxq_active); 
+  printf("         Active Rxqs:%-8u\n",  sc->rxq_active); 
   printf("       Tx Interrupts:%-8lu\n", sc->stats.txInterrupts);
   printf("Multi-Buffer Packets:%-8lu\n", sc->stats.txMultiBuffPacket);
@@ -547,13 +534,13 @@
   printf("   Transmitt  errors:%-8lu\n", ifp->if_oerrors);
   printf("    Tx/Rx collisions:%-8lu\n", ifp->if_collisions);
-  printf("         Active Txqs:%-8lu\n", sc->txq_nactive); 
+  printf("         Active Txqs:%-8u\n", sc->txq_nactive); 
 }
 
 void GT64260eth_err()
 {
-  printf(" Missed Frame errors:%-8lu\n", GTeth_MissedFrame_err);
-}
-
-static int GTeth_ifioctl(struct ifnet *ifp,unsigned cmd, caddr_t data)
+  printf(" Missed Frame errors:%-8u\n", GTeth_MissedFrame_err);
+}
+
+static int GTeth_ifioctl(struct ifnet *ifp, int cmd, caddr_t data)
 {
   struct GTeth_softc *sc = ifp->if_softc;
@@ -652,5 +639,5 @@
   rxd = sc->rxq_head_desc;
 
-  sc->rxq_desc_busaddr = sc->rxq_head_desc;
+  sc->rxq_desc_busaddr = (unsigned long) sc->rxq_head_desc;
 #ifdef GT_DEBUG
   printk("rxq_desc_busaddr %x ,&sc->rxq_desc[0] %x\n",
@@ -674,5 +661,5 @@
 
     /* convert mbuf pointer to data pointer of correct type */	
-    rxd->ed_bufptr = mtod(m, void *);
+    rxd->ed_bufptr = (unsigned) mtod(m, void *);
 
     /*
@@ -721,5 +708,4 @@
   struct mbuf *m;
   int nloops=0;
-  unsigned int intr_status = sc->intr_errsts[sc->intr_err_ptr1];
 
   if (GTeth_rx_debug>0) printk("GT64260eth_rx(");
@@ -810,5 +796,5 @@
      sc->rxq_mbuf[sc->rxq_fi]= m;
      /* convert mbuf pointer to data pointer of correct type */	
-     rxd->ed_bufptr = mtod(m, void*); 
+     rxd->ed_bufptr = (unsigned) mtod(m, void*); 
      rxd->ed_lencnt = (unsigned long) sc->rx_buf_sz <<16;
      rxd->ed_cmdsts = RX_CMD_F|RX_CMD_L|RX_CMD_O|RX_CMD_EI;
@@ -946,5 +932,4 @@
 static int GT64260eth_sendpacket(struct GTeth_softc *sc,struct mbuf *m, enum GTeth_txprio txprio)
 {
-  struct ifnet *ifp=&sc->arpcom.ac_if;
   volatile struct GTeth_desc *txd = &sc->txq_desc[sc->txq_lo];
   unsigned intrmask = sc->sc_intrmask;
@@ -1001,5 +986,5 @@
   if (m->m_len < ET_MINLEN) m->m_len = ET_MINLEN;
 
-  txd->ed_bufptr = mtod(m, void*); 
+  txd->ed_bufptr = (unsigned) mtod(m, void*); 
   txd->ed_lencnt = m->m_len << 16;
   txd->ed_cmdsts = TX_CMD_L|TX_CMD_GC|TX_CMD_P|TX_CMD_O|TX_CMD_F|TX_CMD_EI; 
@@ -1100,5 +1085,5 @@
 
   txd = &sc->txq_desc[0];
-  sc->txq_desc_busaddr = &sc->txq_desc[0];
+  sc->txq_desc_busaddr = (unsigned long) &sc->txq_desc[0];
 #ifdef GT_DEBUG
   printk("txq_desc_busaddr %x, &sc->txq_desc[0] %x \n",
@@ -1140,5 +1125,5 @@
 	 sc->txq_epsrbits = ETH_EPSR_TxHigh;
          /* offset to current tx desc ptr reg */
-	 sc->txq_ectdp = ETH0_ECTDP1;
+	 sc->txq_ectdp = (caddr_t)ETH0_ECTDP1;
          /* Current Tx Desc Pointer 1 */
 	 outl(sc->txq_desc_busaddr,ETH0_ECTDP1);
@@ -1152,5 +1137,5 @@
 	 sc->txq_esdcmrbits = ETH_ESDCMR_TXDL; /* Start TX low */
 	 sc->txq_epsrbits = ETH_EPSR_TxLow;
-	 sc->txq_ectdp = ETH0_ECTDP0;
+	 sc->txq_ectdp = (caddr_t)ETH0_ECTDP0;
          /* Current Tx Desc Pointer 0 */
 	 outl(sc->txq_desc_busaddr,ETH0_ECTDP0);
